form {
    display:inline-flex;
    /*flex-direction: row-reverse;*/
}
main {
    margin: 1em;
    background-color: aliceblue;
    display:flex;
    flex-wrap: wrap;
    height:500px;
    flex-direction:row;
    justify-content: flex-end;
    align-content: end;
}
article{
    margin:10px;
    max-width:120px;
}
article:nth-child(odd){
    background-color: lemonchiffon;
}